Page MenuHomePhabricator

duplicate key in unittest_updatelog
Closed, ResolvedPublic

Description

Author: physik

Description:
Probably a duplicate but I could not find a reference to another bug number...
If more than one new table is added per second an error is thrown due to a duplicate key error.
See
https://integration.wikimedia.org/ci/job/mwext-Math-testextension/3/console
occurred in the context of
https://gerrit.wikimedia.org/r/#/c/158845/
Also https://gerrit.wikimedia.org/r/#/c/161610/
demonstrates the runtime dependence.
No test failure for PS3 that needed 3m45s but a failure for PS4 that could be completed in about 1m.

Details

Reference
bz71087

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:59 AM
bzimport set Reference to bz71087.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Sep 20 2014, 3:26 PM

gerritadmin wrote:

Change 162286 had a related patch set uploaded by Physikerwelt:
Add counter to DatabaseUpdater::setAppliedUpdates

https://gerrit.wikimedia.org/r/162286

physik wrote:

@James: I would be more than happy if you could help me again to find a reviewer.

gerritadmin wrote:

Change 162286 merged by jenkins-bot:
Add counter to DatabaseUpdater::setAppliedUpdates

https://gerrit.wikimedia.org/r/162286

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Krinkle updated the task description. (Show Details)Dec 21 2014, 7:52 AM
Krinkle removed a project: MW-1.24-release.
Krinkle set Security to None.
Krinkle removed subscribers: Unknown Object (MLST), Krinkle.
matmarex closed this task as Resolved.Nov 30 2016, 7:57 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

(Fixed long ago.)